Function
addInterval
Adds an interval to an interval tree.
addInterval(intervalTree, interval)
addInterval(intervalTree, begin, end)
addInterval(intervalTree, begin, end, cargo)
addInterval(graph, propertyMap, interval)
Include Headers
seqan/misc/misc_interval_tree.h
Parameters

intervalTree | The interval tree to add the interval to. Types: IntervalTree
interval | The interval to be added to the interval tree.
begin | Begin position of interval of type TValue.
end | End position of interval of type TValue.
cargo | Cargo to attach to the interval. Types: IntervalAndCargo
graph | The directed graph that contains the topography of the interval tree.
propertyMap | The property map containing the node properties of the interval tree.

Member of
IntervalTree
Example Programs
Interval Tree
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57